import request from '@/utils/request'

// 查询入场数据报表列表
export function listEntranceReport(query) {
  return request({
    url: '/app/dataReport/getEntranceReport',
    method: 'get',
    params: query
  })
}

// 查询生产数据报表列表
export function listSlaughterReport(query) {
  return request({
    url: '/app/dataReport/getSlaughterReport',
    method: 'get',
    params: query
  })
}

// 生猪屠宰情况日汇总等级表
export function listButcherReport(query){
  return request({
    url: '/js-drug-check/SummaryVo',
    method: 'get',
    params: query
  })
}


// 生猪入场查验情况登记表
export function listMarchReport(query){
  return request({
    url: '/js-drug-check/Admission',
    method: 'get',
    params: query
  })
}

// 违禁药物检测及屠宰检验情况登记表
export function listViolateReport(query){
  return request({
    url: '/js-drug-check/drugAndProduce',
    method: 'get',
    params: query
  })
}

// 无害化处理登记表
export function listHarmlessReport(query){
  return request({
    url: '/js-drug-check/harmlessTreatment',
    method: 'get',
    params: query
  })
}

// 生猪产品出场情况登记表
export function listOutReport(query){
  return request({
    url: '/js-drug-check/outPlace',
    method: 'get',
    params: query
  })
}

// 生猪屠宰情况日汇总登记表 - 2025-10-09
export function getDailySlaughterReport(query){
  return request({
    url: '/app/dataReport/getDailySlaughterReport',
    method: 'get',
    params: query
  })
}

// 生猪入场查验情况表  2025-10-15
export function getDailyEntranceReport(query){
  return request({
    url: '/app/dataReport/getDailyEntranceReport',
    method: 'get',
    params: query
  })
}


// 违禁药物检测及屠宰检验情况表 - 2025-10-10
export function getDailyDrugCheckAndSlaughterReport(query){
  return request({
    url: '/app/dataReport/getDailyDrugCheckAndSlaughterReport',
    method: 'get',
    params: query
  })
}

// 生猪屠宰环节无害化处理表 - 2025-10-11
export function getDailyHarmlessReport(query){
  return request({
    url: '/app/dataReport/getDailyHarmlessReport',
    method: 'get',
    params: query
  })
}


// 生猪产品出场情况表  2025-10-12
export function getDailyOutputReport(query){
  return request({
    url: '/app/dataReport/getDailyOutputReport',
    method: 'get',
    params: query
  })
}

// 获取导出的报表字段  2025-10-13
export function getReportFields(query){
  return request({
    url: '/app/dataReport/getReportFields',
    method: 'get',
    params: query
  })
}

// 根据字段导出报表  2025-10-13
export function exportDailyReport(data){
  return request({
    url: '/app/dataReport/exportDailyReport',
    method: 'post',
    responseType: 'blob',
    data: data,

  })
}

// 化学用品统计表
export function getChemistryReport(data) {
  return request({
    url: '/js-stock-info/list/page',
    method: 'post',
    data: data,
  })
}

// 生猪产品召回表
export function getRecallReport(data) {
  return request({
    url: '/app/dataReport/getZhaoHuiReport',
    method: 'get',
    params: data,
  })
}

export function getBeforeReport(data) {
  return request({
    url: '/app/dataReport/getZaiQianReport',
    method: 'get',
    params: data,
  })
}

export function getEnvReport(data) {
  return request({
    url: '/app/dataReport/getYangPinReport',
    method: 'get',
    params: data,
  })
}

// 待宰静养
export function getJingYangReport(data) {
  return request({
    url: '/app/dataReport/getDaiZaiReport',
    method: 'get',
    params: data,
  })
}

// 生猪入场查验统计表
export function getIntoReport(data) {
  return request({
    url: '/app/dataReport/getRuChangReport',
    method: 'get',
    params: data,
  })
}


// 生猪产品出厂统计表
export function getPigOutReport(data) {
  return request({
    url: '/app/dataReport/getChuChangReport',
    method: 'get',
    params: data,
  })
}


export function getZhuanYunReport(data) {
  return request({
    url: '/app/dataReport/getZhuanYunReport',
    method: 'get',
    params: data,
  })
}

export function getFujianReport(data) {
  return request({
    url: '/app/dataReport/getFuJianReport',
    method: 'get',
    params: data,
  })
}

export function getZaiHouReport(data) {
  return request({
    url: '/app/dataReport/getZaiHouReport',
    method: 'get',
    params: data,
  })
}


export function getQualityReport(data) {
  return request({
    url: '/app/dataReport/getXunChaReport',
    method: 'get',
    params: data,
  })
}

export function getProReport(data) {
  return request({
    url: '/app/dataReport/tuzaiShengChanReport',
    method: 'get',
    params: data,
  })
}
